v1.0

get

/ec-site-svc/rest/v1/studies/{studyId}/{mode}/sdfs/properties/piname

Retrieves full name of a principal investigator for all accessible sites in a study.

Request

Path Parameters
  • Study mode. Allowed values: active (live study operations), test (testing data), training (training or sandbox data).
    Example:
    test
  • Study identifier as a 32-character uppercase hexadecimal UUID string.
    Example:
    C36A3197FDEE433FB5547EE83DE99E4B
Query Parameters
  • SDF status filter. Allowed values: ACTIVE (available), NEW (newly created), RESTRICTED (limited use), DISBARRED (blocked), DECEASED (closed), RETIRED (inactive).
    Example:
    ACTIVE
  • SDF type filter. Allowed values: site/SITE (site records), depot/DEPOT (depot records), lab/LAB (lab records), all/ALL (all supported SDF types).
    Example:
    Site

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation.
Body ()
Root Schema : schema
Type: array
Show Source
Examples

400 Response

Returned when one or more path parameters, query parameters, or request-body values fail endpoint validation.
Body ()
Root Schema : SDFResponse
Type: object
Title: SDFResponse
Wrapper for service responses containing result or error data.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
The result object for successful requests. Type depends on the API operation.
Example:
{
    "hasMore":"true",
    "totalResults":5,
    "count":5,
    "data":[
    ]
}
Nested Schema : details
Type: object
Examples

Back to Top